/*==========================================================================
  FOOTER
  ========================================================================== */

.footer {
  width: 100%;
}

/* FOOTER TOP */

.footer-top {
  padding-top: 55px;
  padding-bottom: 55px;
  background-color: $color-secondary-darken;

  @include mq("laptop", "max") {
    padding-top: 35px;
    padding-bottom: 35px;
  }

  @include mq('tablet', 'max') {
    padding-top: 40px;
    padding-bottom: 40px;
  }
}

.footer-top__container {
  display: flex;
  flex-wrap: wrap;
}

.footer__logo {
  flex-shrink: 0;
  align-self: center;
  margin-right: auto;

  @include mq("laptop", "max") {
    display: flex;
    margin-left: auto;
    margin-bottom: 25px;
  }

  @include mq('tablet', 'max') {
    margin-bottom: 20px;
  }
}

.footer__links {
  width: 70%;

  @include mq("laptop", "max") {
    width: 100%;
  }
}

.footer-menu {
  display: flex;
  flex-wrap: wrap;
}

.footer-menu__list {
  width: (100% / 4);
  padding-right: 16px;

  @include mq('tablet', 'max') {
    width: 100%;
    padding: 0;
    text-align: center;

    + .footer-menu__list {
      margin-top: 10px;
    }
  }

  li {

    + li {
      margin-top: 10px;
    }
  }

  a {
    color: $color-white;

    &:hover {
      text-decoration: none;
      color: $color-primary;
    }
  }
}

.footer-menu__list_gap-top {

  li {

    &:first-child {
      @include mq('tablet') {
        margin-top: 30px;
      }
    }
  }
}

/* FOOTER BOTTOM */

.footer-bottom {
  padding-top: 15px;
  padding-bottom: 15px;
  background-color: $color-secondary;

  @include mq("tablet", "max") {
    padding-top: 20px;
    padding-bottom: 20px;
  }
}

.footer-bottom__container {
  display: flex;

  @include mq('tablet-small', 'max') {
    flex-direction: column;
    justify-content: center;
    text-align: center;
  }
}

.footer__copyright {
  color: $color-white;

  @include mq('tablet-small') {
    margin-right: auto;
  }

  @include mq('tablet', 'max') {
    font-size: 12px;
  }


  @include mq('tablet-small', 'max') {
    margin-bottom: 15px;
  }

  span {

    &:not(:first-child) {
      &:before {
        content: '|';
        display: inline-flex;
        margin-left: 8px;
        margin-right: 8px;
      }
    }
  }
}

.footer__author {
  color: $color-white;
  @include mq('tablet', 'max') {
    font-size: 12px;
  }

  a {
    margin-left: 5px;
    color: $color-white;
    @include mq('tablet', 'max') {
      font-size: 12px;
    }
  }
}

.pages {
  display: none;
}

/* end footer */
